﻿.breadcrumbnav ul:focus,
.main-card-header:focus,
.card-info:focus,
.child-element:focus,
.child-element:active {
    border: 2px solid black;
}

.breadcrumbnav li .passed:focus,
.breadcrumbnav li .passed:hover {
    background: black !important;
}

    .breadcrumbnav li .passed:hover::after,
    .breadcrumbnav li .passed:focus::after {
        border-left-color: black !important;
    }

.availableCards {
    margin: 1.0rem;
    padding: 0.25rem;
}


.breadcrumbnav li button.disabled,
.breadcrumbnav li button.disabled:hover {
    color: #5f676d;
}

.hint-label {
    color: #5f676d;
}

.field-validation-error,
.text-danger {
    color: #8b0000 !important;
}


.main-card-header {
    color: #8b0000 !important;
}



p.focus:focus,
div.focus:focus {
    border: 2px solid black;
}


.skip-link {
    display: inline-block;
    background: #ffffff;
    color: transparent;
    padding: 15px 8px 8px 8px;  
    font-size: 16px;
    font-weight: bold;
    text-decoration: none;
    outline: none;
}

.skip-link:focus,
.skip-link:hover,
.skip-link:active {
   border: 3px solid black;
   text-decoration: none;
   outline: none;
   background: #ffffff;
   color: #000000;
}
.skipToMainContentContainer:has(.skip-link:focus),
.skipToMainContentContainer:has(.skip-link:hover) {
    z-index: 1000; /* Ensure the container is above other content */
}

h1:focus,
h2:focus,
h3:focus,
h4:focus,
div:focus,
p:focus,
span:focus,
img:focus,
.ddActionButton:focus {
    border: 3px solid black !important;
}

div.eventElementInfo:focus 
{
    outline: 3px solid black !important; /* visible ring */
    border: none !important; /* prevent double ring and layout shift */
    box-shadow: none !important; /* prevent shadow */
}

.disableElement:disabled, .disableElement[readonly] {
    background-color: #eceeef !important;
    opacity: 1;
    cursor: not-allowed;
}


.hint-label {
    margin-top: -25px;
    margin-bottom: 15px;
}
textarea.stickPlaceHolder + label,
input.stickPlaceHolder[type="text"] + label, input[type="number"] + label,
input.stickPlaceHolder[type="email"] + label,
input.stickPlaceHolder[type="password"] + label,
select.stickPlaceHolder + label,
input.stickPlaceHolder[type="text"] + img[class="ui-datepicker-trigger"] + label {
    /*display: inline-block !important;  ensure vertical margins take effect */
    overflow: hidden;
    margin-top: calc(-3em - 41px) !important;
    margin-bottom: calc((3em - 1em) + 52px) !important;
    padding-left: 20px !important;
}

.stickHeader + label[placeholder]:before,
.stickHeader + img[class="ui-datepicker-trigger"] + label[placeholder]:before {
    -webkit-transition-duration: 0 !important;
    transition-duration: 0 !important;
    -webkit-transform: none !important;
    transform: none !important;
}

.stickHeader + label:after,
.stickHeader + img[class="ui-datepicker-trigger"] + label:after,
.ui-keyboard-input-current + label:after {
    -webkit-transition-duration: 0 !important;
    transition-duration: 0 !important;
    -webkit-transform: none !important;
    transform: none !important;
}

input.stickPlaceHolder[type="text"]:read-write:focus + label[placeholder]:before,
input.stickPlaceHolder[type="text"]:read-write:focus + img[class="ui-datepicker-trigger"] + label[placeholder]:before,
input.stickPlaceHolder[type="number"]:read-write:focus + label[placeholder]:before,
input.stickPlaceHolder[type="email"]:read-write:focus + label[placeholder]:before,
select.stickPlaceHolder:focus + label[placeholder]:before,
.ui-keyboard-input-current + label[placeholder]:before {
    color: black !important;
    font-weight: normal;
}
input.stickPlaceHolder[type="text"] + label[placeholder]:before,
input.stickPlaceHolder[type="number"] + label[placeholder]:before,
input.stickPlaceHolder[type="email"] + label[placeholder]:before,
select.stickPlaceHolder + label[placeholder]:before,
input.stickPlaceHolder[type="text"] + img[class="ui-datepicker-trigger"] + label[placeholder]:before 
{
    color: black !important
}
.ada-enabled input.stickPlaceHolder[type="text"]:required + label:after,
.ada-enabled input.stickPlaceHolder[type="number"]:required + label:after,
.ada-enabled input.stickPlaceHolder[type="email"]:required + label:after,
.ada-enabled select.stickPlaceHolder:required + label:after,
.ada-enabled input.stickPlaceHolder[type="text"]:required + img[class="ui-datepicker-trigger"] + label:after {
    content: "";
    display: inline-block;
    width: 16px;
    height: 16px;
    margin-top: -2px;
    background-image: url('../Images/bullet_ball_red.png');
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
    vertical-align: middle;
}

input:not(.RWImageViewerControl):not(.RWImageViewerControl *):not(.basketDocument):not(.basketDocument *),
select:not(.RWImageViewerControl):not(.RWImageViewerControl *) {
    margin-top: 10px !important;
}

.field-validation-error {
    margin-top: -20px;
    margin-bottom: 25px;
}

#CorI_legend {
    font-size: 15px;
    border: 0px;
    margin-top: 8px;
}

#EventType_error,
#CorI_error,
#ReqPerson_error,
#Sex_error {
    padding-top: 20px;
}

.breadcrumbnav li button {
    font-size: 16px;
    font-weight: bold !important;
}

.fs-title {
    font-size: 20px;
}

#ApplicantWarning {
    font-size: 16px;
}

.fbn_form-group {
    font-size: 16px;
}

.btn-info:focus,
.btn-info:hover,
.btn-primary:focus,
.btn-primary:hover,
.searchFormButton:focus,
.searchFormButton:hover,
.basketMenuButton:focus,
.basketMenuButton:hover,
.resultsMenuButton:focus,
.resultsMenuButton:hover,
.ui-button:focus,
.ui-button:hover,
.msgBoxOkBtn:focus,
.msgBoxOkBtn:hover,
.dd_SearchHistory:focus,
.dd_SearchHistory:hover,
.ui-dialog .ui-dialog-buttonpane button:focus,
.ui-dialog .ui-dialog-buttonpane button:hover,
.orderDetailsButton:focus,
.orderDetailsButton:hover {
    outline: 3px solid black !important; /* visible ring */
    outline-offset: 4px !important; /* gap from the button */
    border: none !important; /* prevent double ring and layout shift */
    box-shadow: none !important; /* prevent shadow */
}
.detailsButton:focus,
.detailsButton:hover,
.docDetailsContainer .basketMenuButton:focus,
.docDetailsContainer .basketMenuButton:hover
{
    outline-offset: 1px !important; /* gap from the button */
}



/* If browser supports focus-visible */
td[tabindex]:focus-visible,
.portalContainer:focus-visible {
    outline: 3px solid black !important;
    outline-offset: 1px;
}

/* Fallback for general focus */
td[tabindex]:focus,
.portalContainer:focus,
td[tabindex].detailsButton:hover,
td[tabindex].BtnAddToBasket:hover
{
    outline: 3px solid black !important;
    outline-offset: 1px;
}

.tdDateContainer .ui-datepicker-trigger 
{
    visibility: hidden !important;
}
.skipToMainContentContainer {
	position: fixed !important;
	background: white;
	width: 100%;
	z-index: 10;
}
.headerDiv 
{
	top: 45px!important;
    width: unset;
}
.MainActionsContainer 
{
	margin-top: 135px !important;
}
.inputHelp.fa-omega 
{
	display: none;
}
